package com.dxhy.sign.service.fpqs;


import com.alibaba.fastjson.JSONObject;
import com.dxhy.common.vo.UserInfo;
import org.springframework.stereotype.Service;


import java.util.Map;

@Service
public interface FpqsService {

    //底账对比签收
    Object[] zpSaveInvoice(Map<String, String> pramsMap, UserInfo userInfo, String qsType, String invoiceType);

    //查验签收
    Object[] dzpSaveInvoice(Map<String, String> pramsMap, UserInfo userInfo, String qsType, String invoiceType);

    JSONObject checkInvoice(Map<String, String> pramsMap, UserInfo userInfo,String qsType, String invoiceType);

    Object[]  qdSaveInvoice(Map<String, String> pramsMap, UserInfo userInfo,String qsType, String invoiceType,JSONObject jsonObject);

}
